PVMOVE(8)

NAME
pvmove - move physical extents

SYNOPSIS
pvmove [--abort] [--alloc AllocationPolicy] [-b|--background] [-d|--debug] [-h|--help] [-i|--interval Seconds] [-v|--verbose] [-n|--name LogicalVolume] [SourcePhysicalVolume[:PE[-PE]...] [DestinationPhysicalVolume[:PE[-PE]...]...]]

DESCRIPTION
pvmove allows you to move the allocated physical extents (PEs) on SourcePhysicalVolume to one or more other physical volumes (PVs). You can optionally specify a source LogicalVolume in which case only extents used by that LV will be moved to free (or specified) extents on DestinationPhysicalVolume(s). If no DestinationPhysicalVolume is specified, the normal allocation rules for the volume group are used. If pvmove gets interrupted for any reason (e.g. the machine crashes) then run pvmove again without any PhysicalVolume arguments to restart any moves that were in progress from the last checkpoint. Alternatively use pvmove --abort at any time to abort them at the last checkpoint. You can run more than one pvmove at once provided they are moving data off different SourcePhysicalVolumes, but additional pvmoves will ignore any logical volumes already in the process of being changed, so some data might not get moved. pvmove works as follows: 1. A temporary 'pvmove' logical volume is created to store details of all the data movements required. 2. Every logical volume in the volume group is searched for contiguous data that need moving according to the command line arguments. For each piece of data found, a new segment is added to the end of the pvmove LV. This segment takes the form of a temporary mirror to copy the data from the original location to a newly-allocated location. The original LV is updated to use the new temporary mirror segment in the pvmove LV instead of accessing the data directly. 3. The volume group metadata is updated on disk. 4. The first segment of the pvmove logical volume is activated and starts to mirror the first part of the data. Only one segment is mirrored at once as this is usually more efficient. 5. A daemon repeatedly checks progress at the specified time interval. When it detects that the first temporary mirror is in-sync, it breaks that mirror so that only the new location for that data gets used and writes a checkpoint into the volume group metadata on disk. Then it activates the mirror for the next segment of the pvmove LV. 6. When there are no more segments left to be mirrored, the temporary logical volume is removed and the volume group metadata is updated so that the logical volumes reflect the new data locations. Note that this new process cannot support the original LVM1 type of on-disk metadata. Metadata can be converted using vgconvert(8).

OPTIONS

--abort
    Abort any moves in progress.

-b, --background
    Run the daemon in the background.

-i, --interval Seconds
    Report progress as a percentage at regular intervals.

-n, --name  LogicalVolume
    Move only the extents belonging to LogicalVolume from SourcePhysicalVolume instead of all allocated extents to the destination physical volume(s).

EXAMPLES
To move all logical extents of any logical volumes on /dev/hda4 to free physical extents elsewhere in the volume group, giving verbose runtime information, use:

    pvmove -v /dev/hda4

SEE ALSO
lvm(8), vgconvert(8)